Initiate global database screening
curl --request POST \
--url https://bgv.konnectnxt.com/api/v2/verification/global-db/initiate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search_term": "John Doe",
"group_id": "grp_12345",
"version": "2"
}
'import requests
url = "https://bgv.konnectnxt.com/api/v2/verification/global-db/initiate/"
payload = {
"search_term": "John Doe",
"group_id": "grp_12345",
"version": "2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search_term: 'John Doe', group_id: 'grp_12345', version: '2'})
};
fetch('https://bgv.konnectnxt.com/api/v2/verification/global-db/initiate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 201,
"message": "Operation completed successfully",
"data": {
"task_id": "550e8400-e29b-41d4-a716-446655440000",
"group_id": "grp_12345",
"request_id": "1f07d2de-f113-43f5-9613-43d4897cb493",
"status": "in_progress"
},
"credits_used": 10,
"credits_remaining": 90
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}Global DB check
Global DB Initiate Check API
Initiate Global DB check for the given search term(Name of an individual.)
POST
/
v2
/
verification
/
global-db
/
initiate
/
Initiate global database screening
Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Body
application/json
Was this page helpful?
⌘I

